Read a Knowledge Base Entry

Base URL
https://{kibana_url}
  • GET /api/security_ai_assistant/knowledge_base/entries/{id}
Auth

Retrieve a Knowledge Base Entry by its unique id.

Path parameters

id string · format: nonempty · min length: 1 required

The unique identifier (id) of the Knowledge Base Entry to retrieve.

Example: 12345

Responses

Successful request returning the requested Knowledge Base Entry.

application/json
Any of:
type: document
type enum required

Entry type.

Values: document
global boolean required

Whether this Knowledge Base Entry is global, defaults to false.

name string required

Name of the Knowledge Base Entry.

namespace string required

Kibana Space, defaults to 'default' space.

users object[] required

Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.

id string

User id.

name string

User name.

createdAt string required

Time the Knowledge Base Entry was created.

createdBy string required

User who created the Knowledge Base Entry.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

updatedAt string required

Time the Knowledge Base Entry was last updated.

updatedBy string required

User who last updated the Knowledge Base Entry.

kbResource enum required

Knowledge Base resource name for grouping entries, e.g. 'security_labs', 'user', etc.

Values: security_labs defend_insights user
source string required

Source document name or filepath.

text string required

Knowledge Base Entry content.

required boolean

Whether this resource should always be included, defaults to false.

vector object

Object containing Knowledge Base Entry text embeddings and modelId used to create the embeddings.

modelId string required

ID of the model used to create the embeddings.

tokens map string to number required

Tokens with their corresponding values.

Bad Request response.

application/json
error string required

Error type or category.

message string required

Detailed error message.

statusCode number required

HTTP status code of the error.

Base URL
https://{kibana_url}